package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.ContactRecord;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.ContactRecordMapper")
public interface ContactRecordMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(ContactRecord record);

    ContactRecord selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(ContactRecord record);

    List<ContactRecord> queryAllContactRecord(ContactRecord record);

    List<ContactRecord> queryContactRecordByPage(Map<String, Object> parameter);

    int delete(String id);

    ContactRecord queryContactRecord(ContactRecord record);

    List<ContactRecord> query(ContactRecord record);
}

